package org.faceless.pdf2.viewer2.util;

import javax.swing.*;
import java.awt.*;
import java.beans.*;
import java.applet.*;
import javax.swing.event.*;
import java.awt.event.*;
import org.faceless.pdf2.viewer2.Util;

/**
 * A subclass of JMenuItem that disables menus and/or accelerator keys when
 * the menu is applied in an Applet
 */
public class AppletMenuItem extends JMenuItem {

    private KeyStroke accelerator;
    private boolean appletenabled;

    public AppletMenuItem(String text) {
        super(text);
        setAppletEnabled(true);
    }

    /**
     * Whether to display this menu in the browser when it's running as an applet
     * or not
     */
    public void setAppletEnabled(boolean enabled) {
        this.appletenabled = enabled;
    }

    public boolean isVisible() {
        return super.isVisible() && (appletenabled || !Util.isBrowserApplet(this));
    }

    public void setAccelerator(KeyStroke keyStroke) {
        this.accelerator = keyStroke;
        super.setAccelerator(keyStroke);
    }

    /**
     * Set whether this menu is in a browser-based applet or not
     */
    public void setBrowserApplet(boolean browserapplet)  {
        super.setAccelerator(browserapplet ? null : accelerator);
    }

}
